package decortsdk

import (
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/cloudapi"
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/cloudbroker"
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/sdn"
)

type MockDecortClient struct {
	apiCaller *MockCaller
}

func NewMockDecortClient(apiCaller *MockCaller) ClientInterface {
	return &MockDecortClient{
		apiCaller: apiCaller,
	}
}

// CloudAPI builder
func (mdc *MockDecortClient) CloudAPI() *cloudapi.CloudAPI {
	return cloudapi.New(mdc.apiCaller)
}

// CloudBroker builder
func (mdc *MockDecortClient) CloudBroker() *cloudbroker.CloudBroker {
	return cloudbroker.New(mdc.apiCaller)
}

// SDN builder
func (mdc *MockDecortClient) SDN() *sdn.SDN {
	return sdn.New(mdc.apiCaller)
}
